org.cpsolver.ifs.util

## Class Query.AtomTerm

- java.lang.Object
- - org.cpsolver.ifs.util.Query.AtomTerm

- All Implemented Interfaces:
    Serializable, Query.Term
  Enclosing class:
    Query

      public static class Query.AtomTerm
      extends Object
      implements Query.Term

  Representation of one attribute:value term
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomTerm(String attr, String body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasAttribute(String attribute)` Check if this term (or its sub-terms) contain a given attribute
    `Boolean` | `match(Query.AmbigousTermMatcher m)` Does the term matches the provided object, returning null if does not apply (e.g., the object does not have the provided attribute)
    `boolean` | `match(Query.TermMatcher m)` A term matches, when `Query.TermMatcher.match(String, String)` matches
    `boolean` | `sameAttribute(Query.AtomTerm t)`
    `String` | `toString()`
    `String` | `toString(Query.QueryFormatter f)` Print the term/sub-query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomTerm

          public AtomTerm(String attr,
                          String body)

  - ### Method Detail

    - #### match

          public boolean match(Query.TermMatcher m)

      A term matches, when `Query.TermMatcher.match(String, String)` matches
      Specified by:
        `match` in interface `Query.Term`

    - #### hasAttribute

          public boolean hasAttribute(String attribute)

      Description copied from interface: `Query.Term`
      Check if this term (or its sub-terms) contain a given attribute
      Specified by:
        `hasAttribute` in interface `Query.Term`

    - #### sameAttribute

          public boolean sameAttribute(Query.AtomTerm t)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(Query.QueryFormatter f)

      Description copied from interface: `Query.Term`
      Print the term/sub-query
      Specified by:
        `toString` in interface `Query.Term`

    - #### match

          public Boolean match(Query.AmbigousTermMatcher m)

      Description copied from interface: `Query.Term`
      Does the term matches the provided object, returning null if does not apply (e.g., the object does not have the provided attribute)
      Specified by:
        `match` in interface `Query.Term`